Subject: bug#40774: Error messages shouldn't be hidden when the user is idle

From: ndame <[email-masked]>
Date: Wed, 22 Apr 2020 18:43:48 +0000

>
> What if the user is looking at another application, and Emacs runs a
> prolonged operation of sorts, for example, indexing some large
> directory?

I don't get what you're getting at.

If the prolonged operation does not stop with an error then nothing
happens. If the operation stops with an error then the error
will be in the echo  area when the user switches back to emacs.

This feature only comes into play if a message is printed to the
echo area, the message is an error message (sent by error, signal, etc.)
and the user is idle in emacs. Then the error (or errors) is stored,
so if some other progress message arrives when the user is idle then
it does not hide the error, it stays in the echo area.